<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use App\Models\Loaders\PlaylistLoader;

class PlaylistController extends Controller
{
    public function __construct(
        private PlaylistLoader $loader,
    ) {

    }

    public function index()
    {
        $menu = config("menu");
        $css_files = $this->css;
        $js_files = $this->js;
        $playlist = $this->loader->getPlaylist();

        return view('playlist',
            compact('menu'),
            compact(['css_files', 'js_files','playlist']),
        );
    }
}
